﻿$ErrorActionPreference = 'Stop'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url32          = 'https://e3.boxcdn.net/box-installers/sync/Sync+4+External/SyncMSI32.msi'
$url64          = 'https://e3.boxcdn.net/box-installers/sync/Sync+4+External/SyncMSI64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  checksum      = 'c4bc5569b1ea389cba53f2cb69cd9390f993c2812d4fa9227c365104c0a7b129'
  checksumType  = 'SHA256'

  url64         = $url64
  checksum64    = '0478cf399ca7eca2526e09c4fd5586a05caf89fe741398c1aefe2d89924fb9fa'
  checksumType64= 'SHA256'

  softwareName  = 'boxsync*'

  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
Write-Verbose "Boxsync install log file is available at '$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).MsiInstall.log'"
